AbstractCashFlow.Result
Keywords: net.corda.finance.flows.AbstractCashFlow.Result class
Date: 2023-09-18

net.corda.finance.flows

## Class AbstractCashFlow.Result

- net.corda.finance.flows.AbstractCashFlow.Result

- Enclosing class:
    AbstractCashFlow<T>

      public static class AbstractCashFlow.Result

  Combined signed transaction and identity lookup map, which is the resulting data from regular cash flows. Specialised flows for unit tests differ from this.

- - ### Constructor Detail

    - #### Result

          public Result(@NotNull
                        SignedTransaction stx,
                        @Nullable
                        AbstractParty recipient)

      Combined signed transaction and identity lookup map, which is the resulting data from regular cash flows. Specialised flows for unit tests differ from this.

      Parameters:
        `stx` - the signed transaction.
        `recipient` - the identity used for the other side of the transaction, where applicable (i.e. this isnull for exit transactions). For anonymous transactions this is the confidential identity generated for thetransaction, otherwise this is the well known identity.

  - ### Method Detail

    - #### getStx

          @NotNull
          public SignedTransaction getStx()

      the signed transaction.

    - #### getRecipient

          @Nullable
          public AbstractParty getRecipient()

      the identity used for the other side of the transaction,

      where applicable (i.e. this isnull for exit transactions). For anonymous transactions this is the confidential identity generated for thetransaction, otherwise this is the well known identity.

    - #### component1

          @NotNull
          public SignedTransaction component1()

      the signed transaction.

    - #### component2

          @Nullable
          public AbstractParty component2()

      the identity used for the other side of the transaction,

      where applicable (i.e. this isnull for exit transactions). For anonymous transactions this is the confidential identity generated for thetransaction, otherwise this is the well known identity.

    - #### copy

          @NotNull
          public net.corda.finance.flows.AbstractCashFlow.Result copy(@NotNull
                                                                               SignedTransaction stx,
                                                                               @Nullable
                                                                               AbstractParty recipient)

      Combined signed transaction and identity lookup map, which is the resulting data from regular cash flows. Specialised flows for unit tests differ from this.

      Parameters:
        `stx` - the signed transaction.
        `recipient` - the identity used for the other side of the transaction, where applicable (i.e. this is null for exit transactions). For anonymous transactions this is the confidential identity generated for the transaction, otherwise this is the well known identity.

    - #### toString

          @NotNull
          public java.lang.String toString()

      Combined signed transaction and identity lookup map, which is the resulting data from regular cash flows. Specialised flows for unit tests differ from this.

    - #### hashCode

          public int hashCode()

      Combined signed transaction and identity lookup map, which is the resulting data from regular cash flows. Specialised flows for unit tests differ from this.

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)

      Combined signed transaction and identity lookup map, which is the resulting data from regular cash flows. Specialised flows for unit tests differ from this.